package com.xtd.project.assets.service;

import java.util.List;
import com.xtd.project.assets.domain.DbTodoItem;

/**
 * 待办事项Service接口
 * 
 * @author xtd
 * @date 2020-04-09
 */
public interface IDbTodoItemService 
{
    /**
     * 查询待办事项
     * 
     * @param id 待办事项ID
     * @return 待办事项
     */
    public DbTodoItem selectDbTodoItemById(Long id);

    /**
     * 查询待办事项列表
     * 
     * @param dbTodoItem 待办事项
     * @return 待办事项集合
     */
    public List<DbTodoItem> selectDbTodoItemList(DbTodoItem dbTodoItem);

    /**
     * 新增待办事项
     * 
     * @param dbTodoItem 待办事项
     * @return 结果
     */
    public int insertDbTodoItem(DbTodoItem dbTodoItem);

    /**
     * 修改待办事项
     * 
     * @param dbTodoItem 待办事项
     * @return 结果
     */
    public int updateDbTodoItem(DbTodoItem dbTodoItem);

    /**
     * 批量删除待办事项
     * 
     * @param ids 需要删除的待办事项ID
     * @return 结果
     */
    public int deleteDbTodoItemByIds(Long[] ids);

    /**
     * 删除待办事项信息
     * 
     * @param id 待办事项ID
     * @return 结果
     */
    public int deleteDbTodoItemById(Long id);
}
